#include <stdio.h>
#include <stdlib.h>
long long int niz[100000];
int main()
{
    int N,M;
    scanf("%i",&N);
    scanf("%i",&M);
    int i;
    int x,y;

    long long int sreca = 0;
    for(i=0;i<N;i++){
        scanf("%lli",&niz[i]);
    }
    for(i=0;i<M;i++){
        scanf("%i",&x);
        scanf("%i",&y);
        if(niz[x-1]+niz[y-1] > 0){
        sreca += niz[x-1]+niz[y-1];
    }else{
    sreca += (niz[x-1]+niz[y-1])*-1;
    }

    }
    printf("%lli",sreca);
    return 0;
}